<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/
function printList()
{
  if(!$link = mysql_connect("localhost", "test", "test")){
    //echo("Problem z połączeniem z bazą danych.");
    return false;
  }
  if(!mysql_select_db("test")){
    //echo("Problem z połączeniem z bazą danych.");
    mysql_close($link);
    return false;
  }

  $query = "SELECT ID, NAME FROM FILES";

  if(!$result = mysql_query($query)){
    //echo("Problem z bazą danych: odrzucone zapytanie");
    mysql_close($link);
    return false;
  }
  while(($row = mysql_fetch_row($result)) != false){
    $id = $row[0];
    $file = $row[1];

    if(($file = strrchr($file, "/")) == false)
      continue;
    $file = substr($file, 1, strlen($file));

    echo("<a href=\"download.php?id=");
    echo("$id\">$file</a><br />");
  }
  mysql_close($link);
  return true;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Moja strona WWW</title>
</head>
<body>
<div>
<?php if(!printList()) echo "Lista nie jest dostępna."; ?>
</div>
</body>
</html>